ADDUSER(8)

NAZWA
adduser, addgroup - dodaje użytkownika lub grupę do systemu

SKŁADNIA
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] [--encrypt-home] user

adduser --system [opcje] [--home KATALOG] [--shell POWŁOKA] [--no-create-home] [--uid ID] [--group | --ingroup GRUPA | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] użytkownik

addgroup [opcje] [--gid ID] grupa

addgroup --system [opcje] [--gid ID] grupa

adduser [opcje] użytkownik grupa

  WSPÓLNE OPCJE
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf PLIK]

OPIS

adduser i addgroup dodają użytkowników i grupy do systemu zgodnie z opcjami wymienionymi w linii poleceń oraz konfiguracją zawartą w pliku /etc/adduser.conf. Programy te są bardziej przyjaznymi dla użytkownika interfejsami do programów useradd, groupadd i usermod wybierającymi zgodne ze standardami Debiana wartości identyfikatora użytkownika (UID) i identyfikatora grupy (GID), tworzącymi katalogi domowe, uruchamiającymi lokalne skrypty i mającymi inne dodatkowe funkcje. adduser i addgroup mogą być użyte w jednym z pięciu trybów:

  Dodawanie zwykłych użytkowników
adduser, wywołany z jednym argumentem nie będącym opcją oraz bez opcji --system lub --group, doda zwykłego użytkownika. adduser wybierze pierwszy możliwy UID z zakresu przeznaczonego dla zwykłych użytkowników w pliku konfiguracyjnym. Ten UID może zostać nadpisany za pomocą opcji --uid. Zakres określony w pliku konfiguracyjnym również może zostać nadpisany opcjami --firstuid i --lastuid. Domyślnie każdemu użytkownikowi w systemie Debian GNU/Linux zostaje przypisana grupa mająca tę samą nazwę i identyfikator, co użytkownik. Umieszczanie każdego użytkownika w grupie o tej samej nazwie pozwala na łatwe zarządzanie katalogami dostępnymi do zapisu dla grupy poprzez dodanie odpowiednich użytkowników do nowej grupy, ustawienie flagi set-group-ID na katalogu i ustawienie każdemu użytkownikowi wartości umask równej 002. Jeżeli ta opcja zostanie wyłączona przez ustawienie USERGROUPS na no, wszyscy nowo tworzeni użytkownicy będą mieli identyfikator grupy ustawiony na USERS_GID. Podstawowe grupy użytkowników mogą zostać również nadpisane przez podanie w linii poleceń opcji --gid lub --ingroup, które ustawiają grupę przez podanie, odpowiednio, jej id lub nazwy. Ponadto użytkowników można dodać do jednej lub większej liczby grup zdefiniowanych w adduser.conf albo przez ustawienie ADD_EXTRA_GROUPS na 1 w adduser.conf, albo przez podanie opcji linii poleceń --add_extra_groups. adduser utworzy katalog domowy użytkownika zgodnie z ustawieniami DHOME, GROUPHOMES, LETTERHOMES w pliku konfiguracyjnym. Katalog domowy może zostać nadpisany przez opcję linii poleceń --home, a powłoka - przez opcję --shell. Jeżeli USERGROUPS jest ustawione na yes, to katalogowi domowemu użytkownika zostanie nadany bit set-group-ID, co powoduje, że jakikolwiek plik utworzony w tym katalogu będzie miał przydzieloną właściwą grupę. adduser will copy files from SKEL into the home directory and prompt for finger (gecos) information and a password. The gecos may also be set with the --gecos option. With the --disabled-login option, the account will be created but will be disabled until a password is set. The --disabled-password option will not set a password, but login is still possible (for example with SSH RSA keys). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1). Po utworzeniu i ustawieniu konta użytkownika, jeżeli istnieje plik /usr/local/sbin/adduser.local, to zostanie on uruchomiony w celu wykonania lokalnych ustawień. Argumenty przekazywane do adduser.local są nastepujące:
nazwa-użytkownika uid gid katalog-domowy
Zmienna środowiskowa VERBOSE jest ustawiana na:

0, jeśli podano opcję --quiet

1, jeśli nie podano żadnej z opcji --quiet i --debug

2, jeśli podano opcję --debug
    (To samo dotyczy zmiennej DEBUG, jednak ta zmienna jest przestarzała i zostanie usunięta w którejś z przyszłych wesji programu adduser).

  Dodawanie użytkowników systemowych
adduser, gdy zostanie uruchomiony z jednym argumentem, nie będącym opcją, oraz z opcją --system, doda użytkownika systemowego. Jeżeli taki użytkownik z identyfikatorem użytkownika (uid) mieszczącym się w zakresie identyfikatorów użytkowników systemowych (lub jeżeli uid jest podany w linii poleceń, to z tym identyfikatorem) już istnieje, adduser wyświetli ostrzeżenie i zakończy działanie. Ostrzeżenie to można wyłączyć, używając opcji "--quiet" adduser wybierze pierwszy możliwy UID z zakresu identyfikatorów systemowych określonych w pliku konfiguracyjnym (FIRST_SYSTEM_UID iLAST_SYSTEM_UID). Aby podać ściśle określony UID, należy użyć opcji --uid. Domyślnie użytkownicy systemowi mają przypisaną grupę nogroup. Aby przypisać nowego użytkownika systemowego do istniejącej grupy, należy użyć opcji --gid lub --ingroup. Aby nowemu użytkownikowi systemowemu została przypisana nowa grupa z tym samym identyfikatorem, trzeba użyć opcji --group. Katalog domowy jest tworzony zgodnie z tymi samymi zasadami, co dla zwykłych użytkowników. Nowy użytkownik systemowy będzie miał powłokę /bin/false (chyba że zostanie to nadpisane opcją --shell) oraz wyłączone hasło. Pliki z katalogu SKEL nie zostaną skopiowane.

  Dodawanie zwykłych grup
Jeżeli adduser zostanie uruchomiony z opcją --group, ale bez opcji --system, lub jako program addgroup, to zostanie dodana grupa dla zwykłych użytkowników. Grupie zostanie nadany identyfikator (GID) z zakresu określonego w pliku konfiguracyjnym dla identyfikatorów zwykłych grup (FIRST_GID, LAST_GID), jednakże może zostać nadpisany opcją --gid. Utworzenie grupy nie powoduje przypisania do niej żadnych użytkowników.

  Dodawanie grup systemowych
Jeżeli addgroup zostanie wywołany z opcją --system, to będzie utworzona nowa grupa systemowa. Grupie zostanie nadany identyfikator (GID) z zakresu określonego w pliku konfiguracyjnym dla identyfikatorów użytkowników systemowych (FIRST_SYSTEM_GID, LAST_SYSTEM_GID), jednakże może zostać nadpisany opcją --gid. Utworzenie grupy nie powoduje przypisania do niej żadnych użytkowników.

  Przydzielanie istniejącego użytkownika do istniejącej grupy
adduser wywołany z dwoma argumentami nie będącymi opcjami doda istniejącego użytkownika do istniejącej grupy.

OPCJE

--conf PLIK
    Użyje pliku PLIK zamiast /etc/adduser.conf.

--disabled-login
    Nie uruchamia programu passwd do ustanowienia hasła. Użytkownik nie będzie mógł używać swojego konta, dopóki hasło nie zostanie nadane.

--disabled-password
    Jak --disabled-login, ale dostęp użytkownika do systemu będzie wciąż możliwy (na przykład przez użycie kluczy SSH RSA), ale bez autoryzacji za pomocą hasła.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX (or NAME_REGEX_SYSTEM if --system is specified) specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Ustawia pole z informacjami GECOS dla nowego użytkownika. Jeśli ta opcja jest użyta, to adduser nie będzie prosił o podanie tych informacji.

--gid ID
    Przy tworzeniu nowej grupy, ta opcja ustawia identyfikator grupy na podaną wartość. Przy tworzeniu użytkownika, użycie tej opcji spowoduje umieszczenie użytkownika w zadanej grupie.

--group
    Użyte razem z --system, spowoduje utworzenie grupy o takiej samej nazwie i identyfikatorze, jak nowo tworzony użytkownik systemowy. Jeżeli nie zostanie użyte razem z opcją --system, to zostanie utworzone grupa o podanej nazwie. Ta opcja jest opcją domyślną, jeżeli program został wywołany jako addgroup.

--help
    Wyświetla krótką instrukcję używania programu.

--home KATALOG
    Używa katalogu KATALOG jako katalogu domowego użytkownika, nadpisując tym samym domyślną wartość określoną w pliku konfiguracyjnym. Jeżeli ten katalog nie istnieje, to będzie utworzony i zostaną skopiowane pliki z katalogu SKEL.

--shell POWŁOKA
    Ustawia POWŁOKĘ jako powłokę logowania użytkownika, nadpisując domyślną wartość określoną w pliku konfiguracyjnym.

--ingroup GRUPA
    Umieszcza nowego użytkownika w grupie GRUPA, zamiast w grupie określonej przez opcję USERS_GID w pliku adduser.conf. Dotyczy to tylko podstawowej grupy użytkownika. Aby dodać użytkownika do dodatkowych grup, prosimy zobaczyć opis opcji add_extra_groups.

--no-create-home
    Nie tworzy katalogu domowego, nawet jeżeli on nie istnieje.

--quiet
    Pomija informacje, pokazuje tylko ostrzeżenia i błędy.

--debug
    Tryb gadatliwy, przydatny w czasie rozwiązywania problemów w programie adduser.

--system
    Tworzy użytkownika systemowego lub grupę systemową.

--uid ID
    Ustawia identyfikator nowego użytkownika na podaną wartość. adduser zakończy się błędem, jeżeli taki identyfikator jest już zajęty.

--firstuid ID
    Nadpisuje wartość pierwszego dostępnego identyfikatora użytkownika (nadpisuje FIRST_UID podany w pliku konfiguracyjnym).

--lastuid ID
    Nadpisuje wartość pierwszego ostatniego identyfikatora użytkownika (LAST_UID).

--add_extra_groups
    Dodaje nowego użytkownika do grup dodatkowych zdefiniowanych w pliku konfiguracyjnym.

--version
    Wyświetla informację o wersji i prawach autorskich.

WARTOŚCI ZWRACANE

0   Podany użytkownik istnieje - albo został utworzony przez adduser, albo istniał w systemie przed wywołaniem adduder. Jeżeli adduser zwrócił 0, to uruchomienie programu adduser po raz drugi z tymi samymi parametrami także zwróci 0.

1   Tworzenie użytkownika lub grupy nie powiodło się, ponieważ użytkownik bądź grupa już istniały z innym identyfikatorem UID/GID niż podany. Nazwa użytkownika lub grupy została odrzucona ponieważ nie pasowała do skonfigurowanego wyrażenia regularnego, patrz adduser.conf(5). Adduser został zabity sygnałem.
    Albo z wielu innych jeszcze nieudokumentowanych przyczyn, które w takim wypadku są wypisywane na konsoli - można rozważyć niepodawanie opcji --quiet, aby adduser wypisał więcej informacji.

PLIKI

/etc/adduser.conf
    Domyślny plik konfiguracyjny programów adduser i addgroup.

ZOBACZ TAKŻE
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), punkt 9.2.2 dokumentu Debian Policy.

TŁUMACZENIE
Robert Luberda <robert@debian.org>, październik 2005 r.

PRAWA AUTORSKIE
Copyright (C) 1997, 1998, 1999 Guy Maor. Modyfikowany przez Rolanda Bauerschmidta i Marca Habera. Dodatkowe łaty autorstwa Joerga Hoha i Stephena Grana.
Copyright (C) 1995 Ted Hajek, z dużym wkładem oryginalnego programu adduser z Debiana.
Copyright (C) 1994 Ian Murdock. adduser jest wolnym oprogramowaniem, warunki licencji - patrz GNU General Public Licence w wersji 2 lub wyższej. Nie ma żadnych gwarancji.